<?xml version="1.0" encoding="SHIFT_JIS" ?>
<!--
  fumikura.xsl, ver.1.0.1
  Written by Sae UENO, Miwa FUJIMOTO, Masaya YAMAGUCHI, 2007-04-24

  Copyright 2007 The National Institute for Japanese Language
  This script is distributed under GNU Public License.
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="L">
    <html xmlns:xhtml="http://www.w3.org/1999/xhtml">
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=shift_jis"/>
        <meta http-equiv="Content-Style-Type" content="text/css" />
        <link rel="stylesheet" href="fumikura.css" type="text/css" />
	<title>
		<xsl:value-of select="@^Cg"/>
		<xsl:text>F</xsl:text>
		<xsl:value-of select="@"/>
	</title>
      </head>

      <body>
<hr style="border-style:solid; background-color:lightsalmon; border:none; height:20px;"/>
        <h1>
          <xsl:value-of select="@^Cg" />
          <xsl:text>F</xsl:text>
          <xsl:value-of select="@" />
        </h1>
        <h2>
          <xsl:value-of select="@{" />
        </h2>
        <xsl:apply-templates/>
<hr style="border-style:solid; background-color:lightsalmon; border:none; height:20px;"/>
	<!-- reffer to http://www.feedthebot.com/pagespeed/defer-loading-javascript.html -->
	<script type="text/javascript">
	  function downloadJSAtOnload() {location.href="#himawari";}
	  if (window.addEventListener)
	  window.addEventListener("load", downloadJSAtOnload, false);
	  else if (window.attachEvent)
	  window.attachEvent("onload", downloadJSAtOnload);
	  else window.onload = downloadJSAtOnload;
	</script>
      </body>
    </html>
  </xsl:template>

<xsl:template match="Kw">
  <xsl:choose>
    <xsl:when test="@='h1'">
      <hr style="border-style:solid; background-color:lemonchiffon; border:none; height:10px;"/>
      <xsl:apply-templates/>
      <br/><hr style="border-style:solid; background-color:lemonchiffon; border:none; height:10px;"/>
    </xsl:when>
    <xsl:when test="@='h2'">
      <xsl:apply-templates/>
      <br/><hr style="border-style:solid; background-color:lemonchiffon; border:none; height:5px;"/>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/><br/><hr style="border-style:solid; background-color:lemonchiffon; border:none; height:3px;"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="p">
	<xsl:choose>
		<xsl:when test="@='a'">
			<span style="background-color:mistyrose;"><em><xsl:apply-templates/></em></span>
		</xsl:when>
		<xsl:otherwise>
		<span title="pF{@p}" style="background-color:mistyrose; cursor:pointer"><xsl:apply-templates/></span>
		</xsl:otherwise>
	</xsl:choose>
  </xsl:template>

  <xsl:template match="^Cg">
    <h3><xsl:apply-templates/></h3>
  </xsl:template>

  <xsl:template match="">
    <b><xsl:apply-templates/></b>
  </xsl:template>


  <xsl:template match="b">
    <xsl:text>@</xsl:text>
    <em><xsl:apply-templates/></em>
    <xsl:text>@</xsl:text>
  </xsl:template>

  <xsl:template match="ubN">
    <xsl:choose>
      <xsl:when test="@='g'">
    <span style="font-size: x-small; "><xsl:apply-templates/></span>
      </xsl:when>
      <xsl:otherwise>
    <br /><span style="border-style:solid; border-width:thin; border-color:gainsboro; display:block; "><xsl:apply-templates/></span><br />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="">
    <sub><xsl:apply-templates/></sub>
  </xsl:template>

  <xsl:template match="span">
    <xsl:choose>
      <xsl:when test="@=''">
        <span title="" style="cursor:pointer;"><strong><xsl:apply-templates/></strong></span>
      </xsl:when>

      <xsl:when test="@='T_'">
        <span title="T_" style="cursor:pointer; "><ruby><rb><xsl:apply-templates/></rb><rp>(</rp><rt>E</rt><rp>)</rp></ruby></span>
      </xsl:when>

      <xsl:when test="@='T'">
        <span title="T" style="cursor:pointer; text-decoration:underline"><xsl:apply-templates/></span>
      </xsl:when>

    </xsl:choose>
  </xsl:template>

  <xsl:template match="wb_">
    <span style="color:lightsteelblue">
      <xsl:apply-templates/>
    </span>
  </xsl:template>

  <xsl:template match="tb^">
    <span style="color:lightsteelblue">
      <xsl:apply-templates/>
    </span>
  </xsl:template>

  <xsl:template match="">
    <xsl:choose>
      <xsl:when test="@='}}'">
    <xsl:apply-templates />
    <sup style="color:red">
        <xsl:text>i}}j</xsl:text>
    </sup>
      </xsl:when>
      <xsl:when test="@t^=''">
         <span title="{@}F{@t^}" style="font-size: x-small;"><xsl:apply-templates /></span>
      </xsl:when>
      <xsl:otherwise>
	<span title="{@}F{@t^}" style="color:mediumseagreen;cursor:pointer;margin:0em 0em 0em 0em;">
	<xsl:apply-templates />
	</span>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="">
    <xsl:apply-templates/>
      <sup title="{@}" style="color:red;cursor:pointer"></sup>
  </xsl:template>

  <xsl:template match="r">
    <ruby>
        <rb><xsl:apply-templates/></rb>
	<rp><xsl:text>(</xsl:text></rp>
        <rt><xsl:value-of select="@rt"/></rt>
	<rp><xsl:text>)</xsl:text></rp>
    </ruby>
  <xsl:if test="@lrt">
        <span style="color:indigo">
        <xsl:text>i</xsl:text>
        <xsl:value-of select="@lrt"/>
        <xsl:text>j</xsl:text>
        </span>
  </xsl:if>
  </xsl:template>

<xsl:template match="">
    <span style="font-size: x-small;">m<xsl:apply-templates/>n</span>
</xsl:template>
<xsl:template match="s">
<span class="gray">^</span>
</xsl:template>

  <xsl:template match="摜">
    <br/><img>
      <xsl:attribute name="src"><xsl:value-of select="@src" /></xsl:attribute>
      <xsl:attribute name="alt"><xsl:value-of select="@alt" /></xsl:attribute>
  <xsl:if test="@height">
      <xsl:attribute name="height"><xsl:value-of select="@height" /></xsl:attribute>
  </xsl:if>
  <xsl:if test="@width">
      <xsl:attribute name="width"><xsl:value-of select="@width" /></xsl:attribute>
  </xsl:if>
   </img><br/>
  </xsl:template>

  <xsl:template match="_">@</xsl:template>

  <xsl:template match="">
    <span style="color:darkred">m<xsl:value-of select="@e"/>n</span>
  </xsl:template>

  <xsl:template match=""><span style="color:silver">(<xsl:value-of select="@no"/>)</span>
  </xsl:template>

  <xsl:template match="s"><br/></xsl:template>

  <xsl:template match="b"><br/></xsl:template>

  <xsl:template match="tg">
    <span class="target_char">
      <xsl:attribute name="id">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </span>
  </xsl:template>

<!-- xmlt@CɃRgsƃCfbNX̍ۃG[ɂȂƂoỎ -->
<xsl:template match="Rg">
  <span style="color:lightsteelblue"><xsl:apply-templates/></span><br/>
</xsl:template>

  <xsl:template match="text()|@*">
    <xsl:call-template name="replace">
      <xsl:with-param name="str" select="." />
    </xsl:call-template>
  </xsl:template>

  <!--
     Refered from
     http://www.geocities.co.jp/SiliconValley-Oakland/8718/faqxslt/replace2.xsl.txt
  -->
  <xsl:template name="replace">
    <xsl:param name="str"/>
    <xsl:choose>
      <xsl:when test="contains($str,'&#10;')">
        <xsl:value-of select="substring-before($str,'&#10;')"/><br />
        <xsl:call-template name="replace">
          <xsl:with-param name="str" select="substring-after($str,'&#10;')"/>
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$str"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
